org.eclipse.eef.properties.ui.legacy.internal.legacy2eef

## Class EEFLegacyTypeMapper

- java.lang.Object
- - org.eclipse.eef.properties.ui.api.EEFTypeMapper
  - - org.eclipse.eef.properties.ui.legacy.internal.legacy2eef.EEFLegacyTypeMapper

All Implemented Interfaces:
  IEEFTypeMapper

    public class EEFLegacyTypeMapper
    extends EEFTypeMapper

Wraps an `TypeMapper` to an `EEFLegacyTypeMapper`.

### Constructor Summary

Constructors
Constructor and Description
`EEFLegacyTypeMapper(org.eclipse.ui.views.properties.tabbed.ITypeMapper typeMapper)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Class<?>` `mapType(java.lang.Object object)` Map the input object to a domain model type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFLegacyTypeMapper

    public EEFLegacyTypeMapper(org.eclipse.ui.views.properties.tabbed.ITypeMapper typeMapper)

The constructor.

Parameters:
  `typeMapper` - The type mapper

### Method Detail

#### mapType

    public java.lang.Class<?> mapType(java.lang.Object object)

Map the input object to a domain model type.

Specified by:
  `mapType` in interface `IEEFTypeMapper`
Overrides:
  `mapType` in class `EEFTypeMapper`
Parameters:
  `object` - the input object.
Returns:
  the type of the input object, mapped to the domain type if required.
See Also:
  `EEFTypeMapper.mapType(java.lang.Object)`